Mercenary Redfoot:
One time while talking with some friends in the Dark Elf Guild, I learned that Dark Elves worship the Goddess Shilen! You say everyone already knows that? Well I find it shocking.
Why would anyone want to worship a goddess of death? It doesn't make sense! I have heard that the Dark Elves' Shilen Temple in the Dark Forest is spectacular. There are rumors that abyssal celebrants there are gathering fragments of the statue of Goddess Shilen from everywhere!
Return